Mail archive
alpine-aports

[alpine-aports] [PATCH] main/aspell: fixes in APKBUILD

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sat, 3 Dec 2016 17:15:21 +0200

---
 main/aspell/APKBUILD | 27 +++++++++------------------
 1 file changed, 9 insertions(+), 18 deletions(-)
diff --git a/main/aspell/APKBUILD b/main/aspell/APKBUILD
index a7f3c411f4..65d1daa4c2 100644
--- a/main/aspell/APKBUILD
+++ b/main/aspell/APKBUILD
_at_@ -2,7 +2,7 @@
 # Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 pkgname=aspell
 pkgver=0.60.6.1
-pkgrel=10
+pkgrel=11
 pkgdesc="A spell checker designed to eventually replace Ispell"
 url="http://aspell.net/"
 arch="all"
_at_@ -10,24 +10,19 @@ license="LGPL2+"
 subpackages="$pkgname-compat::noarch $pkgname-utils $pkgname-dev $pkgname-doc
 	$pkgname-libs"
 depends=
+depends_dev="$pkgname-utils"
 makedepends="ncurses-dev perl"
 install=
 source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
+builddir="$srcdir"/$pkgname-$pkgver
 
 prepare() {
-	cd "$_builddir"
+	default_prepare || return 1
 	update_config_sub || return 1
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -41,13 +36,13 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 }
 
 compat() {
 	pkgdesc="aspell compatibility scripts for ispell and unix spell"
-	depends="aspell"
+	depends="$pkgname"
 	install -d "$subpkgdir"/usr/bin
 	cd "$pkgdir"/usr/share/$pkgname
 	mv spell ispell "$subpkgdir"/usr/bin/
_at_@ -55,20 +50,16 @@ compat() {
 
 utils() {
 	pkgdesc="aspell misc utils"
-	depends="aspell perl"
+	depends="$pkgname perl"
 	install -d "$subpkgdir"/usr/bin
 	cd "$pkgdir"/usr/bin
 	mv pre* aspell-import run-with-aspell word-list-compress "$subpkgdir"/usr/bin/
 }
 
-dev() {
-	default_dev
-	depends="aspell-utils"
-}
-
 libs() {
 	default_libs
 	mv "$pkgdir"/usr/share "$subpkgdir"/usr
+	rm -fr "$pkgdir"/usr/lib
 }
 
 md5sums="e66a9c9af6a60dc46134fdacf6ce97d7  aspell-0.60.6.1.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 03 2016 - 17:15:21 GMT